<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\SammelEMail;

class SendSammelEMailController extends \Kufer\KuferTools\Basis\TeilnehmerInfo\SammelEMail\SendSammelEMailController
{
  protected function getPresenter($pUseCaseResponse)
  {
    return new SendSammelEMailPresenter($pUseCaseResponse);
  }

  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SendSammelEMailUseCase(
      $this->getRequestObj()
    );
  }
}